<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:whc="http://www.oxygenxml.com/webhelp/components"
    exclude-result-prefixes="xs whc"
    version="2.0">

    <!-- move index button to last position in header -->
    <!-- (assumes "move-search-in-header.xsl" is applied) -->
    <xsl:template match="*[contains(@class, 'wh_header_flex_container')]" mode="copy_template" priority="10">  <!-- must be higher priority, so that search is moved into header first -->
        <xsl:variable name="results" as="item()">
            <xsl:next-match/>
        </xsl:variable>
        <xsl:copy select="$results">
            <xsl:sequence select="$results/@*"/>
            <xsl:sequence select="$results/*[not(@id = 'wh_top_menu_and_indexterms_link')]"/>
            <xsl:sequence select="$results/*[@id = 'wh_top_menu_and_indexterms_link']"/>
        </xsl:copy>
    </xsl:template>

</xsl:stylesheet>
